%global momorel 1

Name: pdumpfs
Version: 1.3
Release: %{momorel}m
License: GPL
Group: Applications/Archiving
Requires: ruby
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary: a daily backup system similar to Plan9's dumpfs
Source: http://www.namazu.org/~satoru/pdumpfs/%{name}-%{version}.tar.gz
NoSource: 0
Url: http://www.namazu.org/~satoru/pdumpfs/
BuildArchitectures: noarch

%description
pdumpfs is a simple daily backup system similar to Plan9's dumpfs which
preserves every daily snapshot. pdumpfs is written in Ruby. You can access the
past snapshots at any time for retrieving a certain day's file. Let's backup
your home directory with pdumpfs!

%prep
%setup -q

%build
make pdumpfs
make check

%install
rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_mandir}/man8
%__mkdir_p %{buildroot}%{_mandir}/ja/man8
%__install -m 755 pdumpfs %{buildroot}%{_bindir}
%__install man/man8/pdumpfs.8 %{buildroot}%{_mandir}/man8
iconv -f iso-2022-jp -t euc-jp man/ja/man8/pdumpfs.8 > \
  %{buildroot}%{_mandir}/ja/man8/pdumpfs.8

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/pdumpfs
%{_mandir}/man8/pdumpfs.8*
%{_mandir}/ja/man8/pdumpfs.8*
%doc doc/pdumpfs-ja.html doc/pdumpfs.html
%doc COPYING ChangeLog README

%changelog
* Tue Apr 05 2005 OZAWA Sakuro <crouton@momonga-linux.org>
- (1.3-1m)
- update to 1.3
- remove unused patches

* Sat Sep 04 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-1m)
- update to 1.2
- change %%doc

* Wed Jul 07 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Wed Sep 17 2003 zunda <zunda at freeshell.org>
- (0.6-4m)
- one more bug fix added to pdumpfs-0.6-ruby-1.8.patch

* Thu Sep 11 2003 zunda <zunda at freeshell.org>
- (0.6-3m)
- pdumpfs-0.6-ruby-1.8.patch to supply String.sub a Regexp

* Tue Feb 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-2m)
- change the charset of the japanese man page to euc-jp

* Tue Aug  6 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.6-1m)
- update to 0.6

* Thu Mar 19 2002 kitaj <kita@kitaj.no-ip.com>
- initial build
